net.minecraft.world.gen.structure

## Class ComponentScatteredFeatureJunglePyramid

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.ComponentScatteredFeatureJunglePyramid

-     public class ComponentScatteredFeatureJunglePyramid
      extends StructureComponent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WeightedRandomChestContent[]` | `junglePyramidsChestContents` List of Chest contents to be generated in the Jungle Pyramid chests.
    `static WeightedRandomChestContent[]` | `junglePyramidsDispenserContents` List of Dispenser contents to be generated in the Jungle Pyramid dispensers.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentScatteredFeatureJunglePyramid()`
    `ComponentScatteredFeatureJunglePyramid(Random par1Random, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `buildComponent, findIntersecting, func_143009_a, func_143010_b, getBoundingBox, getCenter, getComponentType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### junglePyramidsChestContents

          public static final WeightedRandomChestContent[] junglePyramidsChestContents

      List of Chest contents to be generated in the Jungle Pyramid chests.

    - #### junglePyramidsDispenserContents

          public static final WeightedRandomChestContent[] junglePyramidsDispenserContents

      List of Dispenser contents to be generated in the Jungle Pyramid dispensers.

  - ### Constructor Detail

    - #### ComponentScatteredFeatureJunglePyramid

          public ComponentScatteredFeatureJunglePyramid()

    - #### ComponentScatteredFeatureJunglePyramid

          public ComponentScatteredFeatureJunglePyramid(Random par1Random,
                                                int par2,
                                                int par3)

  - ### Method Detail

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
      Specified by:
        `addComponentParts` in class `StructureComponent`